IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/44
Addresses2^84
/64 networks1,048,576
- Network
2c19:dd0d:d040::/44- First address
2c19:dd0d:d040::- Last address
2c19:dd0d:d04f:ffff:ffff:ffff:ffff:ffff- Addresses
- 19,342,813,113,834,066,795,298,816 (2^84)
- /64 networks (LANs)
- 1,048,576
- Full form
2c19:dd0d:d040:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
4.0.d.d.0.d.d.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd0d:d040::/44 makes 4,096 subnets of /56; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd0d:d040::/56 | 2c19:dd0d:d040:ff:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd0d:d040:100::/56 | 2c19:dd0d:d040:1ff:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd0d:d040:200::/56 | 2c19:dd0d:d040:2ff:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd0d:d040:300::/56 | 2c19:dd0d:d040:3ff:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd0d:d040:400::/56 | 2c19:dd0d:d040:4ff:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd0d:d040:500::/56 | 2c19:dd0d:d040:5ff:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd0d:d040:600::/56 | 2c19:dd0d:d040:6ff:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd0d:d040:700::/56 | 2c19:dd0d:d040:7ff:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd0d:d040:800::/56 | 2c19:dd0d:d040:8ff:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd0d:d040:900::/56 | 2c19:dd0d:d040:9ff:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd0d:d040:a00::/56 | 2c19:dd0d:d040:aff:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd0d:d040:b00::/56 | 2c19:dd0d:d040:bff:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd0d:d040:c00::/56 | 2c19:dd0d:d040:cff:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd0d:d040:d00::/56 | 2c19:dd0d:d040:dff:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd0d:d040:e00::/56 | 2c19:dd0d:d040:eff:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd0d:d040:f00::/56 | 2c19:dd0d:d040:fff:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd0d:d040:1000::/56 | 2c19:dd0d:d040:10ff:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd0d:d040:1100::/56 | 2c19:dd0d:d040:11ff:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd0d:d040:1200::/56 | 2c19:dd0d:d040:12ff:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd0d:d040:1300::/56 | 2c19:dd0d:d040:13ff:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd0d:d040:1400::/56 | 2c19:dd0d:d040:14ff:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd0d:d040:1500::/56 | 2c19:dd0d:d040:15ff:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd0d:d040:1600::/56 | 2c19:dd0d:d040:16ff:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd0d:d040:1700::/56 | 2c19:dd0d:d040:17ff:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd0d:d040:1800::/56 | 2c19:dd0d:d040:18ff:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd0d:d040:1900::/56 | 2c19:dd0d:d040:19ff:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd0d:d040:1a00::/56 | 2c19:dd0d:d040:1aff:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd0d:d040:1b00::/56 | 2c19:dd0d:d040:1bff:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd0d:d040:1c00::/56 | 2c19:dd0d:d040:1cff:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd0d:d040:1d00::/56 | 2c19:dd0d:d040:1dff:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd0d:d040:1e00::/56 | 2c19:dd0d:d040:1eff:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd0d:d040:1f00::/56 | 2c19:dd0d:d040:1fff:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd0d:d040:2000::/56 | 2c19:dd0d:d040:20ff:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd0d:d040:2100::/56 | 2c19:dd0d:d040:21ff:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd0d:d040:2200::/56 | 2c19:dd0d:d040:22ff:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd0d:d040:2300::/56 | 2c19:dd0d:d040:23ff:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd0d:d040:2400::/56 | 2c19:dd0d:d040:24ff:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd0d:d040:2500::/56 | 2c19:dd0d:d040:25ff:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd0d:d040:2600::/56 | 2c19:dd0d:d040:26ff:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd0d:d040:2700::/56 | 2c19:dd0d:d040:27ff:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd0d:d040:2800::/56 | 2c19:dd0d:d040:28ff:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd0d:d040:2900::/56 | 2c19:dd0d:d040:29ff:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd0d:d040:2a00::/56 | 2c19:dd0d:d040:2aff:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd0d:d040:2b00::/56 | 2c19:dd0d:d040:2bff:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd0d:d040:2c00::/56 | 2c19:dd0d:d040:2cff:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd0d:d040:2d00::/56 | 2c19:dd0d:d040:2dff:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd0d:d040:2e00::/56 | 2c19:dd0d:d040:2eff:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd0d:d040:2f00::/56 | 2c19:dd0d:d040:2fff:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd0d:d040:3000::/56 | 2c19:dd0d:d040:30ff:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd0d:d040:3100::/56 | 2c19:dd0d:d040:31ff:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd0d:d040:3200::/56 | 2c19:dd0d:d040:32ff:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd0d:d040:3300::/56 | 2c19:dd0d:d040:33ff:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd0d:d040:3400::/56 | 2c19:dd0d:d040:34ff:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd0d:d040:3500::/56 | 2c19:dd0d:d040:35ff:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd0d:d040:3600::/56 | 2c19:dd0d:d040:36ff:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd0d:d040:3700::/56 | 2c19:dd0d:d040:37ff:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd0d:d040:3800::/56 | 2c19:dd0d:d040:38ff:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd0d:d040:3900::/56 | 2c19:dd0d:d040:39ff:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd0d:d040:3a00::/56 | 2c19:dd0d:d040:3aff:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd0d:d040:3b00::/56 | 2c19:dd0d:d040:3bff:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd0d:d040:3c00::/56 | 2c19:dd0d:d040:3cff:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd0d:d040:3d00::/56 | 2c19:dd0d:d040:3dff:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd0d:d040:3e00::/56 | 2c19:dd0d:d040:3eff:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd0d:d040:3f00::/56 | 2c19:dd0d:d040:3fff:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd0d:d040:4000::/56 | 2c19:dd0d:d040:40ff:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd0d:d040:4100::/56 | 2c19:dd0d:d040:41ff:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd0d:d040:4200::/56 | 2c19:dd0d:d040:42ff:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd0d:d040:4300::/56 | 2c19:dd0d:d040:43ff:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd0d:d040:4400::/56 | 2c19:dd0d:d040:44ff:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd0d:d040:4500::/56 | 2c19:dd0d:d040:45ff:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd0d:d040:4600::/56 | 2c19:dd0d:d040:46ff:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd0d:d040:4700::/56 | 2c19:dd0d:d040:47ff:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd0d:d040:4800::/56 | 2c19:dd0d:d040:48ff:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd0d:d040:4900::/56 | 2c19:dd0d:d040:49ff:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd0d:d040:4a00::/56 | 2c19:dd0d:d040:4aff:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd0d:d040:4b00::/56 | 2c19:dd0d:d040:4bff:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd0d:d040:4c00::/56 | 2c19:dd0d:d040:4cff:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd0d:d040:4d00::/56 | 2c19:dd0d:d040:4dff:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd0d:d040:4e00::/56 | 2c19:dd0d:d040:4eff:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd0d:d040:4f00::/56 | 2c19:dd0d:d040:4fff:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd0d:d040:5000::/56 | 2c19:dd0d:d040:50ff:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd0d:d040:5100::/56 | 2c19:dd0d:d040:51ff:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd0d:d040:5200::/56 | 2c19:dd0d:d040:52ff:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd0d:d040:5300::/56 | 2c19:dd0d:d040:53ff:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd0d:d040:5400::/56 | 2c19:dd0d:d040:54ff:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd0d:d040:5500::/56 | 2c19:dd0d:d040:55ff:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd0d:d040:5600::/56 | 2c19:dd0d:d040:56ff:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd0d:d040:5700::/56 | 2c19:dd0d:d040:57ff:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd0d:d040:5800::/56 | 2c19:dd0d:d040:58ff:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd0d:d040:5900::/56 | 2c19:dd0d:d040:59ff:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd0d:d040:5a00::/56 | 2c19:dd0d:d040:5aff:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd0d:d040:5b00::/56 | 2c19:dd0d:d040:5bff:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd0d:d040:5c00::/56 | 2c19:dd0d:d040:5cff:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd0d:d040:5d00::/56 | 2c19:dd0d:d040:5dff:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd0d:d040:5e00::/56 | 2c19:dd0d:d040:5eff:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd0d:d040:5f00::/56 | 2c19:dd0d:d040:5fff:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd0d:d040:6000::/56 | 2c19:dd0d:d040:60ff:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd0d:d040:6100::/56 | 2c19:dd0d:d040:61ff:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd0d:d040:6200::/56 | 2c19:dd0d:d040:62ff:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd0d:d040:6300::/56 | 2c19:dd0d:d040:63ff:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd0d:d040:6400::/56 | 2c19:dd0d:d040:64ff:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd0d:d040:6500::/56 | 2c19:dd0d:d040:65ff:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd0d:d040:6600::/56 | 2c19:dd0d:d040:66ff:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd0d:d040:6700::/56 | 2c19:dd0d:d040:67ff:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd0d:d040:6800::/56 | 2c19:dd0d:d040:68ff:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd0d:d040:6900::/56 | 2c19:dd0d:d040:69ff:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd0d:d040:6a00::/56 | 2c19:dd0d:d040:6aff:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd0d:d040:6b00::/56 | 2c19:dd0d:d040:6bff:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd0d:d040:6c00::/56 | 2c19:dd0d:d040:6cff:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd0d:d040:6d00::/56 | 2c19:dd0d:d040:6dff:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd0d:d040:6e00::/56 | 2c19:dd0d:d040:6eff:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd0d:d040:6f00::/56 | 2c19:dd0d:d040:6fff:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd0d:d040:7000::/56 | 2c19:dd0d:d040:70ff:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd0d:d040:7100::/56 | 2c19:dd0d:d040:71ff:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd0d:d040:7200::/56 | 2c19:dd0d:d040:72ff:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd0d:d040:7300::/56 | 2c19:dd0d:d040:73ff:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd0d:d040:7400::/56 | 2c19:dd0d:d040:74ff:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd0d:d040:7500::/56 | 2c19:dd0d:d040:75ff:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd0d:d040:7600::/56 | 2c19:dd0d:d040:76ff:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd0d:d040:7700::/56 | 2c19:dd0d:d040:77ff:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd0d:d040:7800::/56 | 2c19:dd0d:d040:78ff:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd0d:d040:7900::/56 | 2c19:dd0d:d040:79ff:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd0d:d040:7a00::/56 | 2c19:dd0d:d040:7aff:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd0d:d040:7b00::/56 | 2c19:dd0d:d040:7bff:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd0d:d040:7c00::/56 | 2c19:dd0d:d040:7cff:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd0d:d040:7d00::/56 | 2c19:dd0d:d040:7dff:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd0d:d040:7e00::/56 | 2c19:dd0d:d040:7eff:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd0d:d040:7f00::/56 | 2c19:dd0d:d040:7fff:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd0d:d040:8000::/56 | 2c19:dd0d:d040:80ff:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd0d:d040:8100::/56 | 2c19:dd0d:d040:81ff:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd0d:d040:8200::/56 | 2c19:dd0d:d040:82ff:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd0d:d040:8300::/56 | 2c19:dd0d:d040:83ff:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd0d:d040:8400::/56 | 2c19:dd0d:d040:84ff:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd0d:d040:8500::/56 | 2c19:dd0d:d040:85ff:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd0d:d040:8600::/56 | 2c19:dd0d:d040:86ff:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd0d:d040:8700::/56 | 2c19:dd0d:d040:87ff:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd0d:d040:8800::/56 | 2c19:dd0d:d040:88ff:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd0d:d040:8900::/56 | 2c19:dd0d:d040:89ff:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd0d:d040:8a00::/56 | 2c19:dd0d:d040:8aff:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd0d:d040:8b00::/56 | 2c19:dd0d:d040:8bff:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd0d:d040:8c00::/56 | 2c19:dd0d:d040:8cff:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd0d:d040:8d00::/56 | 2c19:dd0d:d040:8dff:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd0d:d040:8e00::/56 | 2c19:dd0d:d040:8eff:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd0d:d040:8f00::/56 | 2c19:dd0d:d040:8fff:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd0d:d040:9000::/56 | 2c19:dd0d:d040:90ff:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd0d:d040:9100::/56 | 2c19:dd0d:d040:91ff:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd0d:d040:9200::/56 | 2c19:dd0d:d040:92ff:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd0d:d040:9300::/56 | 2c19:dd0d:d040:93ff:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd0d:d040:9400::/56 | 2c19:dd0d:d040:94ff:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd0d:d040:9500::/56 | 2c19:dd0d:d040:95ff:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd0d:d040:9600::/56 | 2c19:dd0d:d040:96ff:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd0d:d040:9700::/56 | 2c19:dd0d:d040:97ff:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd0d:d040:9800::/56 | 2c19:dd0d:d040:98ff:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd0d:d040:9900::/56 | 2c19:dd0d:d040:99ff:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd0d:d040:9a00::/56 | 2c19:dd0d:d040:9aff:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd0d:d040:9b00::/56 | 2c19:dd0d:d040:9bff:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd0d:d040:9c00::/56 | 2c19:dd0d:d040:9cff:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd0d:d040:9d00::/56 | 2c19:dd0d:d040:9dff:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd0d:d040:9e00::/56 | 2c19:dd0d:d040:9eff:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd0d:d040:9f00::/56 | 2c19:dd0d:d040:9fff:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd0d:d040:a000::/56 | 2c19:dd0d:d040:a0ff:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd0d:d040:a100::/56 | 2c19:dd0d:d040:a1ff:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd0d:d040:a200::/56 | 2c19:dd0d:d040:a2ff:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd0d:d040:a300::/56 | 2c19:dd0d:d040:a3ff:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd0d:d040:a400::/56 | 2c19:dd0d:d040:a4ff:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd0d:d040:a500::/56 | 2c19:dd0d:d040:a5ff:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd0d:d040:a600::/56 | 2c19:dd0d:d040:a6ff:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd0d:d040:a700::/56 | 2c19:dd0d:d040:a7ff:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd0d:d040:a800::/56 | 2c19:dd0d:d040:a8ff:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd0d:d040:a900::/56 | 2c19:dd0d:d040:a9ff:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd0d:d040:aa00::/56 | 2c19:dd0d:d040:aaff:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd0d:d040:ab00::/56 | 2c19:dd0d:d040:abff:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd0d:d040:ac00::/56 | 2c19:dd0d:d040:acff:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd0d:d040:ad00::/56 | 2c19:dd0d:d040:adff:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd0d:d040:ae00::/56 | 2c19:dd0d:d040:aeff:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd0d:d040:af00::/56 | 2c19:dd0d:d040:afff:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd0d:d040:b000::/56 | 2c19:dd0d:d040:b0ff:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd0d:d040:b100::/56 | 2c19:dd0d:d040:b1ff:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd0d:d040:b200::/56 | 2c19:dd0d:d040:b2ff:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd0d:d040:b300::/56 | 2c19:dd0d:d040:b3ff:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd0d:d040:b400::/56 | 2c19:dd0d:d040:b4ff:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd0d:d040:b500::/56 | 2c19:dd0d:d040:b5ff:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd0d:d040:b600::/56 | 2c19:dd0d:d040:b6ff:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd0d:d040:b700::/56 | 2c19:dd0d:d040:b7ff:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd0d:d040:b800::/56 | 2c19:dd0d:d040:b8ff:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd0d:d040:b900::/56 | 2c19:dd0d:d040:b9ff:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd0d:d040:ba00::/56 | 2c19:dd0d:d040:baff:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd0d:d040:bb00::/56 | 2c19:dd0d:d040:bbff:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd0d:d040:bc00::/56 | 2c19:dd0d:d040:bcff:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd0d:d040:bd00::/56 | 2c19:dd0d:d040:bdff:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd0d:d040:be00::/56 | 2c19:dd0d:d040:beff:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd0d:d040:bf00::/56 | 2c19:dd0d:d040:bfff:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd0d:d040:c000::/56 | 2c19:dd0d:d040:c0ff:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd0d:d040:c100::/56 | 2c19:dd0d:d040:c1ff:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd0d:d040:c200::/56 | 2c19:dd0d:d040:c2ff:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd0d:d040:c300::/56 | 2c19:dd0d:d040:c3ff:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd0d:d040:c400::/56 | 2c19:dd0d:d040:c4ff:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd0d:d040:c500::/56 | 2c19:dd0d:d040:c5ff:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd0d:d040:c600::/56 | 2c19:dd0d:d040:c6ff:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd0d:d040:c700::/56 | 2c19:dd0d:d040:c7ff:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd0d:d040:c800::/56 | 2c19:dd0d:d040:c8ff:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd0d:d040:c900::/56 | 2c19:dd0d:d040:c9ff:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd0d:d040:ca00::/56 | 2c19:dd0d:d040:caff:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd0d:d040:cb00::/56 | 2c19:dd0d:d040:cbff:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd0d:d040:cc00::/56 | 2c19:dd0d:d040:ccff:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd0d:d040:cd00::/56 | 2c19:dd0d:d040:cdff:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd0d:d040:ce00::/56 | 2c19:dd0d:d040:ceff:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd0d:d040:cf00::/56 | 2c19:dd0d:d040:cfff:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd0d:d040:d000::/56 | 2c19:dd0d:d040:d0ff:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd0d:d040:d100::/56 | 2c19:dd0d:d040:d1ff:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd0d:d040:d200::/56 | 2c19:dd0d:d040:d2ff:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd0d:d040:d300::/56 | 2c19:dd0d:d040:d3ff:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd0d:d040:d400::/56 | 2c19:dd0d:d040:d4ff:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd0d:d040:d500::/56 | 2c19:dd0d:d040:d5ff:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd0d:d040:d600::/56 | 2c19:dd0d:d040:d6ff:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd0d:d040:d700::/56 | 2c19:dd0d:d040:d7ff:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd0d:d040:d800::/56 | 2c19:dd0d:d040:d8ff:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd0d:d040:d900::/56 | 2c19:dd0d:d040:d9ff:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd0d:d040:da00::/56 | 2c19:dd0d:d040:daff:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd0d:d040:db00::/56 | 2c19:dd0d:d040:dbff:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd0d:d040:dc00::/56 | 2c19:dd0d:d040:dcff:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd0d:d040:dd00::/56 | 2c19:dd0d:d040:ddff:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd0d:d040:de00::/56 | 2c19:dd0d:d040:deff:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd0d:d040:df00::/56 | 2c19:dd0d:d040:dfff:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd0d:d040:e000::/56 | 2c19:dd0d:d040:e0ff:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd0d:d040:e100::/56 | 2c19:dd0d:d040:e1ff:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd0d:d040:e200::/56 | 2c19:dd0d:d040:e2ff:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd0d:d040:e300::/56 | 2c19:dd0d:d040:e3ff:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd0d:d040:e400::/56 | 2c19:dd0d:d040:e4ff:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd0d:d040:e500::/56 | 2c19:dd0d:d040:e5ff:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd0d:d040:e600::/56 | 2c19:dd0d:d040:e6ff:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd0d:d040:e700::/56 | 2c19:dd0d:d040:e7ff:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd0d:d040:e800::/56 | 2c19:dd0d:d040:e8ff:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd0d:d040:e900::/56 | 2c19:dd0d:d040:e9ff:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd0d:d040:ea00::/56 | 2c19:dd0d:d040:eaff:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd0d:d040:eb00::/56 | 2c19:dd0d:d040:ebff:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd0d:d040:ec00::/56 | 2c19:dd0d:d040:ecff:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd0d:d040:ed00::/56 | 2c19:dd0d:d040:edff:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd0d:d040:ee00::/56 | 2c19:dd0d:d040:eeff:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd0d:d040:ef00::/56 | 2c19:dd0d:d040:efff:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd0d:d040:f000::/56 | 2c19:dd0d:d040:f0ff:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd0d:d040:f100::/56 | 2c19:dd0d:d040:f1ff:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd0d:d040:f200::/56 | 2c19:dd0d:d040:f2ff:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd0d:d040:f300::/56 | 2c19:dd0d:d040:f3ff:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd0d:d040:f400::/56 | 2c19:dd0d:d040:f4ff:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd0d:d040:f500::/56 | 2c19:dd0d:d040:f5ff:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd0d:d040:f600::/56 | 2c19:dd0d:d040:f6ff:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd0d:d040:f700::/56 | 2c19:dd0d:d040:f7ff:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd0d:d040:f800::/56 | 2c19:dd0d:d040:f8ff:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd0d:d040:f900::/56 | 2c19:dd0d:d040:f9ff:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd0d:d040:fa00::/56 | 2c19:dd0d:d040:faff:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd0d:d040:fb00::/56 | 2c19:dd0d:d040:fbff:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd0d:d040:fc00::/56 | 2c19:dd0d:d040:fcff:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd0d:d040:fd00::/56 | 2c19:dd0d:d040:fdff:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd0d:d040:fe00::/56 | 2c19:dd0d:d040:feff:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd0d:d040:ff00::/56 | 2c19:dd0d:d040:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |